package com.example.dialogy;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class DialogsListFragment extends ListFragment {

	private String[] items = {
			"OutdatedAlertDialog",
			"ModernAlertDialog",
			"SampleDialogFragment"
	};
	
	private int[] ids = {
			OUTDATED_ALERT_DIALOG,
			MODERN_ALERT_DIALOG,
			SAMPLE_DIALOG_FRAGMENT
	};
	
	public static final int OUTDATED_ALERT_DIALOG = 0;
	public static final int MODERN_ALERT_DIALOG = 1;
	public static final int SAMPLE_DIALOG_FRAGMENT = 2;

	OnDialogsListItemClickListener listener;

	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);

		try {
			listener = (OnDialogsListItemClickListener) activity;
		} catch (ClassCastException e) {
			throw new ClassCastException(activity.toString()
					+ " must implement OnDialogsListItemClickListener");
		}
	}

	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);

		setListAdapter(new ArrayAdapter<String>(getActivity(),
				android.R.layout.simple_list_item_1, items));
	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		listener.onClick(ids[position]);
	}

	public static interface OnDialogsListItemClickListener {
		public void onClick(int dialog);
	}
}
